require 'rails_helper'

module Tables
  RSpec.describe Distribution do
    describe '#random_distribution' do
      let(:subject) { described_class.new(min_per_table: 5, max_per_table: 10) }

      context 'when there are fewer people than the minimum per table' do
        it 'creates one table' do
          subject.random_distribution([1, 2, 3, 4])
          expect(subject.tables.count).to eq(1)
        end
      end

      context 'when there are more people than the maximum per table' do
        it 'creates multiple tables' do
          subject.random_distribution([1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11])
          expect(subject.tables.count).to be > 1
        end
      end
    end
  end
end
